Get Affiliate by ID
curl --request GET \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliates/{affiliateId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliates/{affiliateId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/networks/affiliates/{affiliateId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliates/{affiliateId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_affiliate_id": 7,
"network_id": 1,
"name": "Some Agency Inc.",
"account_status": "active",
"network_employee_id": 2,
"internal_notes": "",
"has_notifications": false,
"network_traffic_source_id": 0,
"account_executive_id": 0,
"adress_id": 0,
"default_currency_id": "USD",
"is_contact_address_enabled": false,
"enable_media_cost_tracking_links": true,
"time_created": 1664825245,
"time_saved": 1664825245,
"referrer_id": 0,
"relationship": {
"labels": {
"total": 0,
"entries": []
},
"users": {
"total": 1,
"entries": [
{
"network_affiliate_user_id": 11,
"network_id": 1,
"network_affiliate_id": 7,
"first_name": "Bob",
"last_name": "Smith",
"email": "bob.smith@example.com",
"title": "",
"work_phone": "4858555836",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": "",
"language_id": 1,
"timezone_id": 75,
"currency_id": "USD",
"account_status": "active",
"time_created": 1664825245,
"time_saved": 1664825245
}
]
},
"account_manager": {
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"work_phone": "9781243585",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": ""
},
"encoded_value": "9W598",
"billing": {
"network_id": 1,
"network_affiliate_id": 7,
"billing_frequency": "weekly",
"payment_type": "none",
"invoice_amount_threshold": 0,
"tax_id": "",
"is_invoice_creation_auto": false,
"auto_invoice_start_date": "2019-03-01 00:00:00",
"default_invoice_is_hidden": false,
"invoice_generation_days_delay": 0,
"default_payment_terms": 0,
"is_automated_payment_enabled": false,
"vat_percentage": 0,
"relationship": {
"weekly": {
"day_of_week": 4
}
},
"is_payable": true
},
"api_keys": {
"total": 0,
"entries": []
},
"api_whitelist_ips": {
"total": 0,
"entries": []
},
"ios_app_sources": {
"total": 0,
"entries": []
}
}
}Affiliates
Get Affiliate by ID
GET
/
networks
/
affiliates
/
{affiliateId}
Get Affiliate by ID
curl --request GET \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliates/{affiliateId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliates/{affiliateId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/networks/affiliates/{affiliateId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliates/{affiliateId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_affiliate_id": 7,
"network_id": 1,
"name": "Some Agency Inc.",
"account_status": "active",
"network_employee_id": 2,
"internal_notes": "",
"has_notifications": false,
"network_traffic_source_id": 0,
"account_executive_id": 0,
"adress_id": 0,
"default_currency_id": "USD",
"is_contact_address_enabled": false,
"enable_media_cost_tracking_links": true,
"time_created": 1664825245,
"time_saved": 1664825245,
"referrer_id": 0,
"relationship": {
"labels": {
"total": 0,
"entries": []
},
"users": {
"total": 1,
"entries": [
{
"network_affiliate_user_id": 11,
"network_id": 1,
"network_affiliate_id": 7,
"first_name": "Bob",
"last_name": "Smith",
"email": "bob.smith@example.com",
"title": "",
"work_phone": "4858555836",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": "",
"language_id": 1,
"timezone_id": 75,
"currency_id": "USD",
"account_status": "active",
"time_created": 1664825245,
"time_saved": 1664825245
}
]
},
"account_manager": {
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"work_phone": "9781243585",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": ""
},
"encoded_value": "9W598",
"billing": {
"network_id": 1,
"network_affiliate_id": 7,
"billing_frequency": "weekly",
"payment_type": "none",
"invoice_amount_threshold": 0,
"tax_id": "",
"is_invoice_creation_auto": false,
"auto_invoice_start_date": "2019-03-01 00:00:00",
"default_invoice_is_hidden": false,
"invoice_generation_days_delay": 0,
"default_payment_terms": 0,
"is_automated_payment_enabled": false,
"vat_percentage": 0,
"relationship": {
"weekly": {
"day_of_week": 4
}
},
"is_payable": true
},
"api_keys": {
"total": 0,
"entries": []
},
"api_whitelist_ips": {
"total": 0,
"entries": []
},
"ios_app_sources": {
"total": 0,
"entries": []
}
}
}Retrieve a single affiliate by its ID. Use the
relationship query parameter to include related data such as users, signup, billing, coupon_codes, visibility, reporting, and more.Authorizations
Query Parameters
Response
Was this page helpful?
